--- title: "getCloudMongoDbProductList" slug: "database-vmongodb-getcloudmongodbproductlist" tags: ["Cloud DB for MongoDB"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-getcloudmongodbproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMongoDbProductList Available in VPC Get the list of server specification codes available to use in Cloud DB for MongoDB. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/getCloudMongoDbProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MongoDB instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `cloudMongoDbImageProductCode` | String | Required | Filter by Cloud DB for MongoDB image product code - See [getCloudMongoDbImageProductList](/docs/en/database-vmongodb-getcloudmongodbimageproductlist) | | `productCode` | String | Optional | Filter by Cloud DB for MongoDB product code - See [getCloudMongoDbProductList](/docs/en/database-vmongodb-getcloudmongodbproductlist) | | `infraResourceDetailTypeCode` | String | Optional | Filter by other Cloud DB for MongoDB server infrastructure detailed product code - `MNGOD` \| `MNGOS` \| `ARBIT` \| `CFGSV` | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MongoDB product code - See [getCloudMongoDbProductList](/docs/en/database-vmongodb-getcloudmongodbproductlist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbProductList ?regionCode=KR &cloudMongoDbImageProductCode=SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050 &productCode=SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002 &infraResourceDetailTypeCode=CFGSV &exclusionProductCode=SVR.VMGDB.MNGOS.HICPU.C004.M008.NET.SSD.B050.G00 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMongoDbProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002", "productName": "vCPU 2EA, Memory 4GB", "productType": { "code": "HICPU", "codeName": "High CPU" }, "productDescription": "2 vCPUs, 4 GB memory, 50 GB [SSD] disk", "infraResourceType": { "code": "VMGDB", "codeName": "Cloud DB for MongoDB (VPC)" }, "infraResourceDetailType": { "code": "CFGSV", "codeName": "Config Server" }, "cpuCount": 2, "memorySize": 4294967296, "diskType": { "code": "NET", "codeName": "Network Storage" } } ], "requestId": "8c34cb60-****-****-****-a39379dea1e7", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 8c34cb60-****-****-****-a39379dea1e7 0 success 1 SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002 vCPU 2EA, Memory 4GB HICPU High CPU 2 vCPUs, 4 GB memory, 50 GB [SSD] disk VMGDB Cloud DB for MongoDB (VPC) CFGSV Config Server 2 4294967296 NET Network Storage ```